]> git.proxmox.com Git - ceph.git/blobdiff - ceph/src/zstd/contrib/single_file_libs/create_single_file_library.sh
update source to Ceph Pacific 16.2.2
[ceph.git] / ceph / src / zstd / contrib / single_file_libs / create_single_file_library.sh
diff --git a/ceph/src/zstd/contrib/single_file_libs/create_single_file_library.sh b/ceph/src/zstd/contrib/single_file_libs/create_single_file_library.sh
new file mode 100755 (executable)
index 0000000..6f38526
--- /dev/null
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# Where to find the sources
+ZSTD_SRC_ROOT="../../lib"
+
+# Amalgamate the sources
+echo "Amalgamating files... this can take a while"
+./combine.sh -r "$ZSTD_SRC_ROOT" -o zstd.c zstd-in.c
+# Did combining work?
+if [ $? -ne 0 ]; then
+  echo "Combine script: FAILED"
+  exit 1
+fi
+echo "Combine script: PASSED"